#ifndef SCOPESEMAPHOREEXIT_H
#define SCOPESEMAPHOREEXIT_H
#include <functional>

class ScopeSemaphoreExit {
public:
    explicit ScopeSemaphoreExit(std::function<void()> onExit);

    ~ScopeSemaphoreExit();

private:
    std::function<void()> onExit_;
};

#endif // SCOPESEMAPHOREEXIT_H
